body {
    background-color: black;
    font-family: Arial, sans-serif;
    color: white;
    margin: 0;
    padding: 0;
}

.player-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.album-cover {
    width: 200px;
    height: 200px;
    margin-right: 30px;
    left: -100px;
    top: -50px;
}

.playlist {
    position: relative;
    left: 100px;
    width: 450px;
    padding: 30px;
    /* background-color: #222; */
    border-radius: 10px;
    top: -38px;
    /* border: 1.5px solid rgba(122, 27, 225, 1); */

}

.playlist-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0;
    border: 1px solid rgba(122, 27, 225, 1);
    margin-top: 15px;
    margin-bottom: 8px;
    border-radius: 8px;
    height: 35px;
}

.playlist-item:hover {
    background-color: rgba(122, 27, 225, 1);
}


.controls {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 30px;
}

.controls button {
    background-color: #333;
    color: white;
    border: none;
    padding: 10px 20px;
    margin: 0 10px;
    cursor: pointer;
}

.progress {
    height: 100%;
    background-color: #0077b6;
}

.volume-control {
    display: flex;
    align-items: center;
}

.volume-control input {
    width: 100px;
}

.download-btn {
    width: 20px;
    height: 20px;
    cursor: pointer;
    margin-right: 10px;
}

.share-btn {
    width: 20px;
    height: 20px;
    cursor: pointer;
    margin-right: 25px;
}

.list-title {
    font-weight: 700;
    font-size: 25px;
    /* margin-top: 5px; */
    margin-bottom: 25px;
    color: rgba(117, 34, 227, 1);
}

.model_name {
    margin-left: 20px;
    font-family: Poppins;
    font-size: 14px;
    font-weight: 700;
    cursor: pointer;
}



.album-cover-animation {
    animation: gradientAnimation 2s ease infinite;
}
  @keyframes gradientAnimation {
    0% {
      background-position: 0% 50%;
    }
    50% {
      background-position: 100% 50%;
    }
    100% {
      background-position: 0% 50%;
    }
  }

  .songName {
    /* position: absolute; */
    position: relative;
    text-align: center;
    left: 15.5%;
    top: 68%;
    font-family: Poppins;
    font-weight: 700;
    justify-content: center;
    align-items: center;
    /* width: 220px; */
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis;
    width: 300px;
    transform: translate(-50%, -50%);
}

.songName span.scroll {
    display: inline-block;
    white-space: nowrap;
    /* overflow: hidden; */
    /* text-overflow: ellipsis; */
    animation: marquee 10s linear infinite;
}

.songName span {
    display: inline-block;
    white-space: nowrap;
    /* overflow: hidden; */
    /* text-overflow: ellipsis; */
}

#coverBy {
    font-family: Poppins;
    font-weight: 700;
    position: relative;
    margin-top: 20%;
    justify-content: center;
    align-items: center;
    text-align: center;
    left: 50%;
    color: rgba(117, 34, 227, 1);
    font-size: 30px;
    transform: translate(-50%, -50%);
}

.btns {
    position: relative;
    left: 50%;
    margin: 0 auto;
    /* width: 450px; */
    margin-top: 50px;
    justify-content: center;
    align-items: center;
    text-align: center;
    left: 24%;
}

.btns2 img {
    vertical-align: middle;
    width: 20%;
    position: relative;
    top: -6%;
}

.btns2 {
    float: left;
    position: relative;
    text-align: center;
    border: 1px solid rgba(122, 27, 225, 1);
    border-radius: 8px;
    height: 40px;
    line-height: 40px;
    width: 25%;
    cursor: pointer;
}

.btns .btns2:nth-child(1) {
    left: -5%;
}

.btns .btns2:nth-child(2) {
    right: -5%;
}

.btns2:hover {
    background-color: rgba(122, 27, 225, 1);
}

  
@keyframes marquee {
    0% {
        transform: translateX(0);
    }
    25% {
        transform: translateX(0);

    }
    75% {
        transform: translateX(calc(-100% + 300px));
    }
    100% {
        transform: translateX(calc(-100% + 300px));
    }
}


.rotating {
    animation: rotate 10s linear infinite;
}

.album-cover {
    position: relative;
    width: 180px;
    height: 180px;
    border-radius: 50%;
    object-fit: cover;
    padding: 55px;
    background: radial-gradient(ellipse at center, rgba(0,0,0,0.5) 45%, rgba(122, 27, 225, 1) 100%);
}

.media-rotating {
    width: 14vh;
    height: 14vh;
    padding: 5vh;
    left: 50%;
    transform: translate(-50%, -50%);
    top: 27%;
    margin-right: 0;
    position: relative;
    animation: rotate 10s linear infinite;
}

.stopped {
    animation-play-state: paused;
}
  
  @keyframes rotate {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
}

.remixly {
    position: absolute;
    left: 30px;
    top: 30px;
}


.music-player {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 80px;
    background: rgba(36, 36, 36, 1);
    backdrop-filter: blur(10px);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.1);
}

.controls button {
    background: none;
    border: none;
    font-size: 16px;
    cursor: pointer;
    padding: 10px;
    margin-right: 10px;
}

.controls {
    position: relative;
    left: 12%;
    top: -10px;
}

.prev img {
    width: 20px;
    height: 20px;
}

.next img {
    width: 20px;
    height: 20px;
}

.play-pause img {
    width: 30px;
    height: 30px;
}


.progress-bar {
    width: 43%;
    height: 10px;
    background-color: rgba(51, 51, 51, 1);
    position: relative;
    cursor: pointer;
    border-radius: 5px;
    left: -6%;
    top: 3px;
  }

.progress {
    height: 100%;
    background-color: rgba(122, 27, 225, 1);
    width: 0%;
    border-radius: 5px;
}


.volume-bar {
    width: 200px;
    height: 4px;
    background: #ccc;
    position: relative;
    cursor: pointer;
}



.volume {
    height: 100%;
    background: #333;
    width: 100%;
}

.thisTime {
    position: relative;
    top: 3px;
    left: 2%;
}

.totalTime {
    position: relative;
    left: -14%;
    top: 3px;
}

.album-cover-media {
    width: 14vh;
    height: 14vh;
    padding: 5vh;
    left: 50%;
    transform: translate(-50%, -50%);
    top: 27%;
    margin-right: 0;
    position: absolute;
}

.copy-tip {
    visibility: hidden;
    width: 120px;
    background-color: green;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 1;
    bottom: 95%;
    left: 50%;
    margin-left: -60px;
    opacity: 0;
    
  }

.copy-tip-show {
    visibility: visible;
    opacity: 1;
    transition: opacity 0.1s linear;
    animation: fadeOut 1.9s 0.1s forwards; /* 添加动画属性 */
}
/* 定义关键帧动画 */
@keyframes fadeOut {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

/* 适配移动端 */
@media (max-aspect-ratio: 4/3) {
    .remixly {
        left: 2vh;
        top: 2vh;
        width: 15vh;
    }

    .album-cover {
        position: relative;
        border-radius: 50%;
        object-fit: cover;
        background: linear-gradient(45deg, rgba(0,0,0,0.5), rgb(162, 84, 245));
        background-size: 700% 700%;
            
        width: 14vh;
        height: 14vh;
        padding: 5vh;
        left: 50%;
        transform: translate(-50%, -50%);
        top: 27%;
        margin-right: 0;
        position: absolute;
    }
    

    .playlist {
        /* display: none; */
        position: absolute;
        width: 100%;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        padding: 0;
        border: none;
    }

    .btns {
        /* left: 31%; */
        left: 34%; 
    }

    .btns .btns2:nth-child(1) {
        left: -5%;
    }
    
    .btns .btns2:nth-child(2) {
        right: -5%;
    }

    .btns2 {
        width: 15%;
        height: 15%;
    }

    #coverBy {
        font-size: 15px;
        margin-top: 30%;
    }

    .list-title {
        display: none;
    }


    .playlist-item {
        display: block;
        position: relative;
        width: 41%;
        float: left;
        height: 5vh;
        padding: 0;
        margin-right: 4%;
        margin-left: 4%;
        border-radius: 0.5vh;
        align-items: center;
    }

    .download-btn {
        position: relative;
        float: right;
        margin-right: 0.5vh;
        width: 2vh;
        height: 2vh;
        top: 60%;
        /* top: 0.5vh; */
    }

    .share-btn {
        position: relative;
        float: right;
        margin-right: 1vh;
        width: 2vh;
        height: 2vh;
        top: 1.2vh;
    }

    .model_name {
        position: absolute;
        margin-left: 0px;
        font-family: Poppins;
        font-size: 1.5vh;
        font-weight: 700;
        cursor: pointer;
        margin-left: 1vh;
        top: 25%;
        width: 60%;
        overflow: hidden;
        text-overflow: ellipsis;

    }

    .btns2 img {
        vertical-align: middle;
        position: relative;
        width: 17px;
        top: -6%;
    }


    .songName {
        /* display: none; */
        position: absolute;
        transform: translate(-50%, -50%);
        left: 50%;
        top: 43%;
        font-size: 15px;

    }

    .music-player {
        position: absolute;
        top: 80%;
        background-color: black;
        transform: translate(-50%, -50%);
        left: 51%;
        width: 100%;
    }

    .controls {
        position: absolute;
        top: -5%;
        left: 48.9%;
        transform: translate(-50%, -50%);
        
    }

    .thisTime {
        /* position: absolute; */
        left: 4%;
        top: 80%;
        /* transform: translate(-50%, -50%); */
    }

    .progress-bar {
        position: absolute;
        transform: translate(-50%, -50%);
        left: 50%;
        width: 80%;
        top: 100%;
    }

    .totalTime {
        /* position: absolute; */
        left: -2.4%;
        top: 80%;
        
        /* transform: translate(-50%, -50%); */
    }





}